let express = require("express");
let rptTplRouter = express.Router();
let reportTplController = require('./../controllers/rpt_tpl_controller');
let reportCfgController = require('./../controllers/rpt_cfg_controller');

rptTplRouter.post('/createTplTreeNode', reportTplController.createTplTreeNode);
rptTplRouter.post('/getRptTplTree', reportTplController.getRptTplTree);
rptTplRouter.post('/updateRptTplNodes', reportTplController.updateTreeNodes);
rptTplRouter.post('/deleteRptTplNodes', reportTplController.deleteRptTplNodes);
rptTplRouter.post('/createDftRptTpl', reportTplController.createDftRptTpl);
rptTplRouter.post('/getRefRptTpl', reportTplController.getRefRptTpl);
rptTplRouter.post('/updateRptTpl', reportTplController.updateRptTpl);

rptTplRouter.post('/getUserRptCfg', reportCfgController.getReportUserCfg);
rptTplRouter.post('/getMappingFields', reportCfgController.getAllMappingFields);

module.exports = rptTplRouter;